Breaking

jeudi 3 janvier 2019

Comment activer NET Framework 3.5 sous Windows 8.1


Comment activer NET Framework 3.5 sous Windows 8.1




Si vous utilisez le système d’exploitation Windows, le.NET Framework peut déjà être installé sur votre ordinateur. Plus particulièrement, le .NET Framework 4.5 est inclus avec Windows 8 et installé sur votre ordinateur avec le système d’exploitation Windows 8.



Il n’y a aucun téléchargement pour .NET Framework 3.5 pour Windows 8 ou Windows 8.1 Preview. Vous devez activer le .NET Framework 3.5 dans le Panneau de configuration selon les instructions fournies dans cet article.
Toutefois, si vous installez une application qui requiert une version spécifique du .NET Framework, le programme d’installation de l’application peut installer le .NET Framework sur votre ordinateur ou vous inviter à l’installer. Par exemple, le .NET Framework 3.5 n’est pas automatiquement installé avec Windows 8 ou Windows 8.1 Preview. Pour exécuter des applications qui requièrent le .NET Framework 3.5 sur Windows 8 ou version ultérieure, vous devez activer la version 3.5 sur votre ordinateur. Vous pouvez procéder de deux façons : installer ou exécuter une application qui requiert le .NET Framework 3.5 (c’est-à-dire, en installant le .NET Framework 3.5 à la demande) ou en activant le .NET Framework 3.5 dans le Panneau de configuration. Les deux options requièrent une connexion Internet.
En général, vous ne devez pas désinstaller les versions du .NET Framework installées sur votre ordinateur, car une application que vous utilisez peut dépendre d’une version spécifique et peut s’arrêter si cette version est supprimée. Plusieurs versions de .NET Framework peuvent être chargées sur un seul ordinateur en même temps. Cela signifie que vous ne devez pas désinstaller des versions antérieures afin d’installer une version ultérieure.
Remarques importantes :

*Utilisez .NET Framework 3.5 pour les applications générées pour les versions 2.0, 3.0 et 3.5.
*Si vous installez un module linguistique Windows avant d’installer le .NET Framework 3.5, l’installation du .NET Framework 3.5 échoue. Installez le .NET Framework 3.5 avant d’installer tous les modules linguistiques Windows.
*Windows CardSpace n’est pas disponible avec .NET Framework 3.5 sur Windows 8.

Installation du .NET Framework 3.5 sur demande

Si une application requiert le .NET Framework 3.5, mais ne trouve pas cette version sur votre ordinateur, elle affiche la zone de message suivant, soit pendant l’installation, soit lorsque vous exécutez l’application pour la première fois. Dans la zone de message, choisissez Installer cette fonctionnalité pour activer le .NET Framework 3.5. Cette option requiert une connexion Internet
Invite à installer .NET Framework 3.5 à la demande


Activation du .NET Framework 3.5 dans le panneau de configuration

Vous pouvez également activer le .NET Framework 3.5 vous-même dans le panneau de configuration. Dans le panneau de configuration, choisissez Programmes et fonctionnalités, Activer ou désactiver des fonctionnalités Windows, puis activez la case à cocher .NET Framework 3.5.1 (inclut .NET 2.0 and 3.0). Cette option requiert une connexion Internet.

 


Vous n’avez pas besoin de sélectionner des éléments enfants pour l’activation HTTP WCF (Windows Communication Foundation), sauf si vous êtes un développeur qui nécessite les fonctionnalités de script WCF et de mappage de gestionnaire. Activation ou désactivation des fonctionnalités Windows dans le panneau de configuration.